Apache Struts 2.x < 2.3.28.1 Multiple Vulnerabilities

This script is Copyright (C) 2016-2017 Tenable Network Security, Inc.


Synopsis :

The remote Windows host contains a web application that uses a Java
framework that is affected by multiple vulnerabilities.

Description :

The version of Apache Struts running on the remote Windows host is 2.x
prior to 2.3.28.1. It is, therefore, affected by the following
vulnerabilities :

- An unspecified flaw exists, related to chained
expressions, when Dynamic Method Invocation (DMI) is
enabled. An unauthenticated, remote attacker can exploit
this, via a crafted expression, to execute arbitrary
code. (CVE-2016-3081)

- A flaw exists in XSLTResult due to a failure to
sanitize user-supplied input to the 'location' parameter
when determining the location of an uploaded stylesheet.
An unauthenticated, remote attacker can exploit this,
via a request to a crafted stylesheet, to execute
arbitrary code. (CVE-2016-3082)

- A flaw exists that is triggered when dynamic method
invocation is enabled while using the REST plugin. A
remote attacker can exploit this, via a specially
crafted expression, to execute arbitrary code.
(CVE-2016-3087)

Note that Nessus has not tested for these issues but has instead
relied only on the application's self-reported version number.

See also :

https://struts.apache.org/docs/s2-031.html
https://struts.apache.org/docs/s2-032.html
https://struts.apache.org/docs/s2-033.html
http://struts.apache.org/docs/version-notes-23281.html

Solution :

Upgrade to Apache Struts version 2.3.28.1 or later. Alternatively,
apply the workarounds referenced in the vendor advisories.

Risk factor :

Critical / CVSS Base Score : 10.0
(CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C)
CVSS Temporal Score : 8.3
(CVSS2#E:F/RL:OF/RC:ND)
Public Exploit Available : true

Family: Windows

Nessus Plugin ID: 90773 ()

Bugtraq ID: 87327

CVE ID: CVE-2016-3081
CVE-2016-3082
CVE-2016-3087

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now